<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/EqualizerImplementations/src/EqualizerUtils.cpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_63c328d9f040c398ed3a99417a38689e.html">EqualizerImplementations</a></li><li class="navelem"><a class="el" href="dir_03724acfa8bc7f7f917821f88e86ce11.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#namespaces">Namespaces</a> &#124;
<a href="#define-members">Macros</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">EqualizerUtils.cpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;rapidjson/error/en.h&gt;</code><br />
<code>#include &lt;rapidjson/stringbuffer.h&gt;</code><br />
<code>#include &lt;rapidjson/writer.h&gt;</code><br />
<code>#include &lt;<a class="el" href="_j_s_o_n_utils_8h_source.html">AVSCommon/Utils/JSON/JSONUtils.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_logger_8h_source.html">AVSCommon/Utils/Logger/Logger.h</a>&gt;</code><br />
<code>#include &quot;<a class="el" href="_equalizer_utils_8h_source.html">EqualizerImplementations/EqualizerUtils.h</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for EqualizerUtils.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="_equalizer_utils_8cpp__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_equalizer_implementations_2src_2_equalizer_utils_8cpp" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_equalizer_implementations_2src_2_equalizer_utils_8cpp" id="_2workplace_2avs-device-sdk_2_equalizer_implementations_2src_2_equalizer_utils_8cpp">
<area shape="rect" id="node5" href="_j_s_o_n_utils_8h.html" title="AVSCommon/Utils/JSON\l/JSONUtils.h" alt="" coords="1056,105,1226,144"/>
<area shape="rect" id="node11" href="_logger_8h.html" title="AVSCommon/Utils/Logger\l/Logger.h" alt="" coords="557,279,733,317"/>
<area shape="rect" id="node28" href="_equalizer_utils_8h.html" title="EqualizerImplementations\l/EqualizerUtils.h" alt="" coords="1443,105,1617,144"/>
<area shape="rect" id="node9" href="_logger_utils_8h.html" title="AVSCommon/Utils/Logger\l/LoggerUtils.h" alt="" coords="911,192,1087,231"/>
<area shape="rect" id="node16" href="_configuration_node_8h.html" title="AVSCommon/Utils/Configuration\l/ConfigurationNode.h" alt="" coords="750,365,963,404"/>
<area shape="rect" id="node20" href="_level_8h.html" title="AVSCommon/Utils/Logger\l/Level.h" alt="" coords="367,452,543,491"/>
<area shape="rect" id="node21" href="_log_entry_8h.html" title="AVSCommon/Utils/Logger\l/LogEntry.h" alt="" coords="227,365,403,404"/>
<area shape="rect" id="node26" href="_log_level_observer_interface_8h.html" title="AVSCommon/Utils/Logger\l/LogLevelObserverInterface.h" alt="" coords="478,365,675,404"/>
<area shape="rect" id="node27" href="_sink_observer_interface_8h.html" title="AVSCommon/Utils/Logger\l/SinkObserverInterface.h" alt="" coords="1110,539,1286,577"/>
<area shape="rect" id="node22" href="_log_entry_stream_8h.html" title="AVSCommon/Utils/Logger\l/LogEntryStream.h" alt="" coords="117,452,293,491"/>
<area shape="rect" id="node24" href="_log_entry_buffer_8h.html" title="AVSCommon/Utils/Logger\l/LogEntryBuffer.h" alt="" coords="665,539,841,577"/>
<area shape="rect" id="node29" href="_equalizer_types_8h.html" title="AVSCommon/SDKInterfaces\l/Audio/EqualizerTypes.h" alt="" coords="1435,192,1625,231"/>
<area shape="rect" id="node36" href="_success_result_8h.html" title="AVSCommon/Utils/Error\l/SuccessResult.h" alt="" coords="1827,279,1991,317"/>
<area shape="rect" id="node32" href="hash_8h.html" title="AVSCommon/Utils/functional\l/hash.h" alt="" coords="1612,279,1803,317"/>
<area shape="rect" id="node37" href="_result_8h.html" title="Result.h" alt="" coords="1873,372,1944,397"/>
</map>
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></td></tr>
<tr class="memdesc:namespacealexa_client_s_d_k"><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether or not curl logs should be emitted. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1equalizer"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1equalizer.html">alexaClientSDK::equalizer</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:ad8bc9ca8e55a0ebf538e46e28bf26262"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_equalizer_utils_8cpp.html#ad8bc9ca8e55a0ebf538e46e28bf26262">LX</a>(event)&#160;&#160;&#160;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html">alexaClientSDK::avsCommon::utils::logger::LogEntry</a>(<a class="el" href="_u_i_manager_8cpp.html#ada5473a95becdcf63a8f83e7f05fefe7">TAG</a>, event)</td></tr>
<tr class="separator:ad8bc9ca8e55a0ebf538e46e28bf26262"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:ae71b3d1b5d97e15bbd94985be044e6f0"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1equalizer.html#ae71b3d1b5d97e15bbd94985be044e6f0">alexaClientSDK::equalizer::TAG</a> {&quot;EqualizerUtils&quot;}</td></tr>
<tr class="memdesc:ae71b3d1b5d97e15bbd94985be044e6f0"><td class="mdescLeft">&#160;</td><td class="mdescRight">String to identify log entries originating from this file.  <a href="namespacealexa_client_s_d_k_1_1equalizer.html#ae71b3d1b5d97e15bbd94985be044e6f0">More...</a><br /></td></tr>
<tr class="separator:ae71b3d1b5d97e15bbd94985be044e6f0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa14539009f75844d24c48ad831ad482c"><td class="memItemLeft" align="right" valign="top">constexpr char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1equalizer.html#aa14539009f75844d24c48ad831ad482c">alexaClientSDK::equalizer::JSON_KEY_BANDS</a> [] = &quot;bands&quot;</td></tr>
<tr class="memdesc:aa14539009f75844d24c48ad831ad482c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name for "bands" JSON branch.  <a href="namespacealexa_client_s_d_k_1_1equalizer.html#aa14539009f75844d24c48ad831ad482c">More...</a><br /></td></tr>
<tr class="separator:aa14539009f75844d24c48ad831ad482c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aca9681e9bb2950368547fc9f037d86d4"><td class="memItemLeft" align="right" valign="top">constexpr char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1equalizer.html#aca9681e9bb2950368547fc9f037d86d4">alexaClientSDK::equalizer::JSON_KEY_NAME</a> [] = &quot;name&quot;</td></tr>
<tr class="memdesc:aca9681e9bb2950368547fc9f037d86d4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name for "name" JSON value.  <a href="namespacealexa_client_s_d_k_1_1equalizer.html#aca9681e9bb2950368547fc9f037d86d4">More...</a><br /></td></tr>
<tr class="separator:aca9681e9bb2950368547fc9f037d86d4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa867e676728c8035b1ebf87d9298e514"><td class="memItemLeft" align="right" valign="top">constexpr char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1equalizer.html#aa867e676728c8035b1ebf87d9298e514">alexaClientSDK::equalizer::JSON_KEY_LEVEL</a> [] = &quot;level&quot;</td></tr>
<tr class="memdesc:aa867e676728c8035b1ebf87d9298e514"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name for "level" JSON value.  <a href="namespacealexa_client_s_d_k_1_1equalizer.html#aa867e676728c8035b1ebf87d9298e514">More...</a><br /></td></tr>
<tr class="separator:aa867e676728c8035b1ebf87d9298e514"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acb6088b208de6b806ab9a3c92e6fcdda"><td class="memItemLeft" align="right" valign="top">constexpr char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1equalizer.html#acb6088b208de6b806ab9a3c92e6fcdda">alexaClientSDK::equalizer::JSON_KEY_MODE</a> [] = &quot;mode&quot;</td></tr>
<tr class="memdesc:acb6088b208de6b806ab9a3c92e6fcdda"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name for "mode" JSON value.  <a href="namespacealexa_client_s_d_k_1_1equalizer.html#acb6088b208de6b806ab9a3c92e6fcdda">More...</a><br /></td></tr>
<tr class="separator:acb6088b208de6b806ab9a3c92e6fcdda"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="ad8bc9ca8e55a0ebf538e46e28bf26262"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad8bc9ca8e55a0ebf538e46e28bf26262">&#9670;&nbsp;</a></span>LX</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define LX</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">event</td><td>)</td>
          <td>&#160;&#160;&#160;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html">alexaClientSDK::avsCommon::utils::logger::LogEntry</a>(<a class="el" href="_u_i_manager_8cpp.html#ada5473a95becdcf63a8f83e7f05fefe7">TAG</a>, event)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Create a LogEntry using this file's TAG and the specified event string.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">The</td><td>event string for this <code>LogEntry</code>. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
